Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Hi I would like to know if I can upgrade gedit to version 3.6.3 in Ubuntu 12.04 without the webupd8 ppa. I think the process would be similar like this: Is there any way to Install Latest Nautilus File Manager in Ubuntu 12.04 LTS. Please tell me if that works, Thanks in advanced!

EDIT

The info I posted above does not work.

EDIT

It looks like people want to know why, well the reason is because I want the latest features and speed improvements that came in GNOME 3.6 and all of GNOME's applications. + I already have some GNOME 3.6.3 software (As you can tell from the link above I've installed Nautilus 3.6.3 aka Files 3.6.3).

EDIT

Umm, so I am missing some of the dependencies that Gedit needs, do I download it from packages.ubuntu.com and then install it the same way I attempted to install Gedit 3.6.2?

share|improve this question
1  
As you can see from the link you provided, it may not be a simple task. Could you please edit your question to include why you wish to use a newer version of gedit than what is being supported? –  user25656 Feb 1 at 5:22
    
Because I want the latest features and speed improvements thats pretty much why. –  davidbuddy9 Feb 1 at 12:49
    
Please do not add solutions to the question, instead add your own answer - it is encouraged to add answers to your own questions (and yes all that is still in edit history, click on "edited") –  Mateo_ Feb 4 at 3:43

2 Answers 2

up vote 3 down vote accepted

Gedit 3.6.3 does not exist. You'll have to choose 3.6.2 or 3.8.3. Since 3.8 is a major version, I recommend to install the 3.6.2.

You should be able to build your package using these commands:

wget https://launchpad.net/ubuntu/raring/+source/gedit/3.6.2-0ubuntu1/+files/gedit_3.6.2.orig.tar.xz
tar -xvf gedit_3.6.2.orig.tar.xz
cd gedit-3.6.2/
./configure
make
sudo make install

You have to know that it is not recommended to upgrade your packages, because it may change a lot of packages in your system, possibly breaking it.

You also have to take a close look at the depedencies that Gedit 3.6.2 needs.

share|improve this answer
    
Thank you, and it doesn't really matter whether its 3.6.2 or 3.6.3, I'm happy anyways! Thank you for your help! –  davidbuddy9 Feb 1 at 14:24
    
Umm, so I am missing some of the dependencies that Gedit 3.6.2 needs, do I download it from packages.ubuntu.com and then install it the same way I attempted to install Gedit 3.6.2? –  davidbuddy9 Feb 1 at 15:48
1  
package downloaded on package.ubuntu.com are .deb : that means you can install them only with dpkg -i packagename –  MrVaykadji Feb 1 at 15:52
    
Oh ok, as I thought, so it all should work after installing the packages if I'm correct –  davidbuddy9 Feb 1 at 18:37

WHAT I DID

This is the process that I did. (This is based off of MrVaykadji answer)

  1. (In the Terminal) mkdir ~/Downloads/src
  2. cd ~/Downloads/src
  3. wget https://launchpad.net/ubuntu/raring/+source/gedit/3.6.2-0ubuntu1/+files/gedit_3.6.2.orig.tar.xz
  4. tar -xvf gedit_3.6.2.orig.tar.xz
  5. sudo apt-get build-dep gedit (If this command doesn't work you'll have to get the dep's yourself)
  6. cd gedit-3.6.2/
  7. ./configure
  8. make
  9. sudo make install
share|improve this answer
    
The build-dep line will download the dependencies needed to build the package, not the dependencies needed to install it, for those, you'll still need to check manually or build manually. –  MrVaykadji Feb 6 at 20:49
    
@MrVaykadji Oh, that's silly! Why didn't they make it so it actually installed the dependencies? –  davidbuddy9 Feb 7 at 1:52
    
Because if they did, they also would directly build the package you're trying to build x) And you wouldn't have to build anything. Except that's not possible, and it also is the why building is available –  MrVaykadji Feb 7 at 18:03

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.